type t

(* Create a new datetime picker. The argument is the time to initialize it to,
   if any. *)
val create : option Datetime.t -> transaction t

(* Add a handler for when the datetime is changed. *)
val onChange : t -> (option Datetime.t -> transaction unit) -> transaction unit

(* Get a signal that models the currently-entered datetime. *)
val value : t -> signal (option Datetime.t)

val render : t -> xbody
